%define upstream_name    Test-Able-Runner
%define upstream_version 1.002

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Metaclass role for test runners
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Load) >= 0.200.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Module::Pluggable) >= 3.600.0
BuildRequires: perl(Moose) >= 0.940.0
BuildRequires: perl(Test::Able) >= 0.90.0
BuildArch:  noarch

%description
I like the Test::Able manpage. I really don't like having to copy my
boilerplate test runner and modify it when I use it in a new project. This
provides a basic test runner for your testable tests that takes care of the
basics for you. You can extend it a bit to customize things if you like as
well. Let me know if you want this to do something else.

This mostly assumes that you want to run several tests as a group within a
single Perl interpreter. If this is not what you want, then you probably
don't want this module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.2.0-7.mga8
+ Revision: 1497317
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.2.0-6.mga7
+ Revision: 1271649
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.2.0-5.mga6
+ Revision: 1034069
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 1.2.0-4.mga6
+ Revision: 935747
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.0-3.mga5
+ Revision: 742116
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.0-2.mga5
+ Revision: 686397
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 1.2.0-1.mga5
+ Revision: 588672
- update to 1.002

* Fri Oct 18 2013 umeabot <umeabot> 1.1.0-3.mga4
+ Revision: 515082
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.1.0-2.mga3
+ Revision: 373330
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 07 2011 jquelin <jquelin> 1.1.0-1.mga2
+ Revision: 164887
- imported package perl-Test-Able-Runner


* Mon Nov 07 2011 cpan2dist 1.001-1mga
- initial mageia release, generated with cpan2dist
